Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687698 - Restarting dbus crashes certmonger
Summary: Restarting dbus crashes certmonger
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dbus
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: David King
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 07:34 UTC by Mohammad Rizwan
Modified: 2019-03-28 14:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
console.log (deleted)
2019-03-12 07:34 UTC, Mohammad Rizwan
no flags Details

Description Mohammad Rizwan 2019-03-12 07:34:42 UTC
Created attachment 1543123 [details]
console.log

Description of problem:
Restarting dbus crashes certmonger

Version-Release number of selected component (if applicable):
ipa-server-4.7.1-11.module+el8+2842+7481110c.x86_64
certmonger-0.79.6-5.el8.x86_64
dbus-1.12.8-7.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1. Insatll IPA master
2. start certmonger service
   $ systemctl start certmonger
3. restart messagebus service
   $ systemctl restart messagebus
4. $ systemctl status certmonger

Actual results:
certmonger crash

Expected results:
certmonger should not crash

Additional info:
similar bz was closed in : past https://bugzilla.redhat.com/show_bug.cgi?id=1103090

Comment 2 Rob Crittenden 2019-03-13 14:42:38 UTC
Can you reproduce this manually?

Can you provide a stack trace from the core?

Comment 3 Mohammad Rizwan 2019-03-14 07:04:29 UTC
Yes, It is reproduced manually.

Comment 6 Rob Crittenden 2019-03-28 14:05:27 UTC
Providing my own stack trace.

Program received signal SIGTERM, Terminated.
0x00007f9acd5a17a8 in poll () from /lib64/libc.so.6
(gdb) where
#0  0x00007f9acd5a17a8 in poll () from /lib64/libc.so.6
#1  0x00007f9acfe63916 in poll (__timeout=<optimized out>, 
    __nfds=<optimized out>, __fds=<optimized out>)
    at /usr/include/bits/poll2.h:46
#2  _dbus_poll (fds=<optimized out>, n_fds=<optimized out>, 
    timeout_milliseconds=<optimized out>)
    at ../../dbus/dbus-sysdeps-unix.c:2837
#3  0x00007f9acfe5c70f in socket_do_iteration (transport=0x55cbecb0e310, 
    flags=6, timeout_milliseconds=<optimized out>)
    at ../../dbus/dbus-transport-socket.c:1183
#4  0x00007f9acfe5b491 in _dbus_transport_do_iteration (
    transport=0x55cbecb0e310, flags=<optimized out>, 
    timeout_milliseconds=<optimized out>) at ../../dbus/dbus-transport.c:1016
#5  0x00007f9acfe432ec in _dbus_connection_do_iteration_unlocked (
    connection=0x55cbecb0dcf0, pending=<optimized out>, flags=6, 
    timeout_milliseconds=25000) at ../../dbus/dbus-connection.c:1227
#6  0x00007f9acfe43cbd in _dbus_connection_block_pending_call (
    pending=0x55cbecb0b5a0) at ../../dbus/dbus-connection.c:2433
#7  0x00007f9acfe5550e in dbus_pending_call_block (pending=<optimized out>)
    at ../../dbus/dbus-pending-call.c:767
#8  0x00007f9acfe44286 in dbus_connection_send_with_reply_and_block (
    connection=connection@entry=0x55cbecb0dcf0, 
    message=message@entry=0x55cbecb05040, 
    timeout_milliseconds=timeout_milliseconds@entry=-1, error=error@entry=0x0)
    at ../../dbus/dbus-connection.c:3576
#9  0x00007f9acfe3ff38 in dbus_bus_register (connection=0x55cbecb0dcf0, 
    error=0x0) at ../../dbus/dbus-bus.c:695
#10 0x00007f9acfe401b4 in internal_bus_get (type=DBUS_BUS_SYSTEM, private=0, 
    error=0x0) at ../../dbus/dbus-bus.c:483
#11 0x000055cbeb49feac in cm_tdbus_reconnect (ec=0x55cbecaf5a90, 
    timer=<optimized out>, current_time=..., pvt=0x55cbecafd2f0) at tdbus.c:546
#12 0x00007f9acfc23bd9 in tevent_common_invoke_timer_handler ()
   from /lib64/libtevent.so.0
#13 0x00007f9acfc23d7e in tevent_common_loop_timer_delay ()
   from /lib64/libtevent.so.0
#14 0x00007f9acfc24f2b in epoll_event_loop_once () from /lib64/libtevent.so.0
#15 0x00007f9acfc231bb in std_event_loop_once () from /lib64/libtevent.so.0
#16 0x00007f9acfc1e395 in _tevent_loop_once () from /lib64/libtevent.so.0
#17 0x000055cbeb482799 in main (argc=<optimized out>, argv=<optimized out>)
    at main.c:413

It is blowing up on this line in certmonger:

tdb->conn = dbus_bus_get(DBUS_BUS_SESSION, NULL);

Near as I can tell exit_on_disconnect is set to FALSE.

Reproduction does not require an IPA master to be installed.

Steps are:

1. systemctl start certmonger
2. systemctl restart messagebus

Given it is failing doing a poll on a fd I'm re-assigning to dbus team for further evaluation.


Note You need to log in before you can comment on or make changes to this bug.